Subject: Re: [Cfrg] Removing the magic constants from SPAKE2

From: Mike Hamburg <[email-masked]>
Date: Thu, 5 Jan 2017 09:04:34 -0500

> On Jan 8, 2014, at 6:19 PM, Michael Hamburg <[email-masked]> wrote:
> 
> … The goal of this post is to suggest that a SPAKE2 variant might be a suitable standardized PAKE now that SPAKE2 itself is out of patent…

I have been reminded that I am not a patent lawyer, that I am not aware of all patents in existence, and in general that I should shut up about patents.  If you are thinking of deploying SPAKE2, a variant of it, or some other PAKE, please consult your legal team to do a patent search.  Please do not rely on my statement from 2014.

Also, the "Elligator version of SPAKE2” that I’d hoped to deploy is actually something very old: it is an elliptic curve instantiation of PAK:

http://www.iacr.org/archive/eurocrypt2000/1807/18070157-new.pdf <http://www.iacr.org/archive/eurocrypt2000/1807/18070157-new.pdf>

Happy 2017,
— Mike